SSL_SET_MAX_SEND_FRAGMENT(3)

NAME
SSL_CTX_set_max_send_fragment, SSL_set_max_send_fragment - control fragment sizes

SYNOPSIS
libssl libcrypto
#include <openssl/ssl.h>
long
SSL_CTX_set_max_send_fragment(SSL_CTX *ctx, long m);
long
SSL_set_max_send_fragment(SSL *ssl, long m);

DESCRIPTION
SSL_CTX_set_max_send_fragment() and SSL_set_max_send_fragment() set the max_send_fragment parameter for SSL_CTX and SSL objects respectively. This value restricts the amount of plaintext bytes that will be sent in any one SSL/TLS record. By default its value is SSL3_RT_MAX_PLAIN_LENGTH (16384). These functions will only accept a value in the range 512 - SSL3_RT_MAX_PLAIN_LENGTH.

These functions are implemented using macros.

RETURN VALUES
These functions return 1 on success or 0 on failure.

SEE ALSO
ssl(3), SSL_ctrl(3), SSL_CTX_set_read_ahead(3), SSL_pending(3)

HISTORY
SSL_CTX_set_max_send_fragment() and SSL_set_max_send_fragment() first appeared in OpenSSL 1.0.0 and have been available since OpenBSD 4.9.